import { http } from "@/utils/http";

export interface OrderQuery extends BasePageQuery {
  orderNumber?: string;
  status?: number;
  payStatus?: number;
  startTime?: string;
  endTime?: string;
}

export interface OrderDTO {
  orderId: number;
  ucid?: string;
  openid?: string;
  tradeId?: string;
  mobile?: string;
  userid?: string;
  name?: string;
  isInternal?: number;
  bizOrderId?: string;
  totalAmount: number;
  status: number;
  payStatus: number;
  paymentMethod?: string;
  payTime?: string;
}

export const getOrderListApi = (params?: OrderQuery) => {
  return http.request<ResponseData<PageDTO<OrderDTO>>>("get", "/shop/order/list", {
    params: {
      ...params,
      // 处理时间范围参数格式
      startTime: params?.startTime ? new Date(params.startTime).toISOString() : undefined,
      endTime: params?.endTime ? new Date(params.endTime).toISOString() : undefined
    }
  });
};